<?php

/*******************************/
/* site menu
/******************************/
if(!function_exists('softing_vc_nav')) {
function softing_vc_nav( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "mtype"		=> '',
    "mstyle"	=> '',
    "cmenu"		=> '',
    "link"		=> '',
    "submenu"	=> '',
    "subloop"	=> '',
    "slink"		=> '',
	//logo
    "logo"		=> '',
    "logo2"		=> '',
	//btn right
    "btn1"		=> '',
    "btn2"		=> '',
	//custom style
	"mbg"		=> '',
	"miclr"		=> '',
	"mihvr"		=> '',
	"btnbg"		=> '',
	"btnbghvr"	=> '',
	"btnclr"	=> '',
	"btnhvr"	=> '',
	"btnbrdr"	=> '',
	"btnbg2"		=> '',
	"btnbghvr2"	=> '',
	"btnclr2"	=> '',
	"btnhvr2"	=> '',
	"btnbrdr2"	=> '',
	//bg image
	"css"		=> '',
	), $atts, 'softing_nav');

	$mbg       = $atts['mbg'] != '' ? '.nt-site-header .navbar.bootsnav, .nt-site-header .navbar.bootsnav .dropdown-menu{background:'.$atts['mbg'].' !important;}' : '';
	$miclr     = $atts['miclr'] != '' ? '.nt-site-header .nav.navbar-nav ul li a{color:'.$atts['miclr'].' !important;}' : '';
	$mihvr     = $atts['mihvr'] != '' ? '.nt-site-header .main-menu ul li a:hover{color:'.$atts['mihvr'].' !important;}' : '';
    // btn1
    $btnbg     = $atts['btnbg'] != '' ? '.attr-nav > ul > li > a{background-color:'.$atts['btnbg'].' !important;}' : '';
	$btnbghvr  = $atts['btnbghvr'] != '' ? '.attr-nav > ul > li > a:hover{background-color:'.$atts['btnbghvr'].' !important;}' : '';
	$btnbrdr   = $atts['btnbrdr'] != '' ? '.attr-nav > ul > li > a{border-color:'.$atts['btnbrdr'].' !important;}' : '';
	$btnclr    = $atts['btnclr'] != '' ? '.attr-nav > ul > li > a{color:'.$atts['btnclr'].' !important;}' : '';
	$btnhvr    = $atts['btnhvr'] != '' ? '.attr-nav > ul > li > a:hover{color:'.$atts['btnhvr'].' !important;}' : '';
    //$btn2
    $btnbg2     = $atts['btnbg2'] != '' ? '.attr-nav > ul > li:last-child > a{background-color:'.$atts['btnbg2'].' !important;}' : '';
	$btnbghvr2  = $atts['btnbghvr2'] != '' ? '.attr-nav > ul > li:last-child > a:hover{background-color:'.$atts['btnbghvr2'].' !important;}' : '';
	$btnbrdr2   = $atts['btnbrdr2'] != '' ? '.attr-nav > ul > li:last-child > a{border-color:'.$atts['btnbrdr2'].' !important;}' : '';
	$btnclr2    = $atts['btnclr2'] != '' ? '.attr-nav > ul > li:last-child > a{color:'.$atts['btnclr2'].' !important;}' : '';
	$btnhvr2    = $atts['btnhvr2'] != '' ? '.attr-nav > ul > li:last-child > a:hover{color:'.$atts['btnhvr2'].' !important;}' : '';
	$style     = $mbg != '' || $miclr != '' || $mihvr != '' ||
    $btnbg != '' || $btnclr != '' || $btnhvr != '' || $btnbghvr != '' || $btnbrdr != '' || $btnbg2 != '' || $btnclr2 != '' || $btnhvr2 != '' || $btnbghvr2 != '' || $btnbrdr2 != '' ? 'data-res-css="'.$mbg.$miclr.$mihvr.$btnbg.$btnclr.$btnhvr.$btnbghvr.$btnbrdr.$btnbg2.$btnclr2.$btnhvr2.$btnbghvr2.$btnbrdr2 .'"' : '';

    $out       = '';
    $out .= '<header id="home" class="nt-site-header" '.$style.'>';

	if( $atts['mstyle'] == 'normal' ){

		$out .= '<nav class="navbar navbar-default navbar-sticky bootsnav on no-full">';

	}elseif( $atts['mstyle'] == 'fixed' ){

		$out .= '<nav class="navbar navbar-default navbar-fixed dark bootsnav on no-full no-background">';

	}elseif( $atts['mstyle'] == 'trans' ){

		$out .= '<nav class="navbar navbar-default navbar-fixed navbar-transparent white bootsnav on no-full">';

	}else{

		$out .= '<nav class="navbar navbar-default navbar-sticky bootsnav on no-full">';
	}

            $out .= '<div class="container">';

				//btn 1
				$btn1		=  !empty($atts['btn1']) ? $atts['btn1'] : '';
				$btn1		=  vc_build_link( $btn1 );
				$b1_title	=  $btn1['title'];
				$b1_href	=  $btn1['url'] != '' ? ' href="'.esc_url($btn1['url']).'"' : ' href="#"';
				$b1_target	=  $btn1['target'] != '' ? ' target="'.esc_attr( $btn1['target']).'"' : '';
				//btn 2
				$btn2		=  !empty($atts['btn2']) ? $atts['btn2'] : '';
				$btn2		=  vc_build_link( $btn2 );
				$b2_title	=  $btn2['title'];
				$b2_href	=  $btn2['url'] != '' ? ' href="'.esc_url($btn2['url']).'"' : ' href="#"';
				$b2_target	=  $btn2['target'] != '' ? ' target="'.esc_attr( $btn2['target']).'"' : '';

			if( $b1_title != '' || $b2_title != '' ){
               $out .= '<div class="attr-nav button">';
                    $out .= '<ul>';
                        if( $b1_title ){ $out .= '<li><a'.$b1_href.$b1_target.'>'.$b1_title.'</a></li>'; }
                        if( $b2_title ){ $out .= '<li><a'.$b2_href.$b2_target.'>'.$b2_title.'</a></li>'; }
                    $out .= '</ul>';
                $out .= '</div>';
			}

				//navbar logo brand
                $out .= '<div class="navbar-header">';

                    $out .= '<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-menu">';
                        $out .= '<i class="fa fa-bars"></i>';
                    $out .= '</button>';

							$logourl = get_home_url();
							if( $atts['logo'] != 'img' || $atts['logo2'] != 'img' ){

								// custom image logo
								$out .= '<a class="nt-logo img-logo navbar-brand" href="'.$logourl.'">';

								// default logo
								$out .= softing_img( $atts['logo'], $imgclass='logo logo-scrolled', $imgw2='', $imgh2='' );
								//transparent menu logo
								$out .= softing_img( $atts['logo2'], $imgclass='logo logo-display', $imgw='', $imgh='' );

								$out .= '</a>';
							}else{

								ob_start();

								//default site logo
								softing_logo();

								$out .= ''. ob_get_clean().'';
							}

                $out .= '</div>';


                $out .= '<div class="collapse navbar-collapse" id="navbar-menu">';

					// custom menu
					if($atts['mtype'] == 'custom'){

						$out .= '<ul class="nav navbar-nav navbar-right" data-in="#" data-out="#">';

						$loop = (array) vc_param_group_parse_atts($atts['cmenu']);
						foreach ( $loop as $item ) {

							$link	=  !empty($item['link']) ? $item['link'] : '';
							$link	= vc_build_link( $link );
							$atitle	=  $link['title'];
							$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : ' href="#"';
							$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';

							if( isset($item['submenu']) == 'yes' ){

								$loop2 = (array) vc_param_group_parse_atts($item['subloop']);
								$out .= '<li class="dropdown dropdown-right">';
									$out .= '<a href="#" class="dropdown-toggle smooth-menu" data-toggle="dropdown" >'.$atitle.'</a>';
									$out .= '<ul class="dropdown-menu">';
									foreach ( $loop2 as $sub ) {

										$slink	  =  !empty($sub['slink']) ? $sub['slink'] : '';
										$slink	  = vc_build_link( $slink );
										$s_title  =  $slink['title'];
										$s_href	  =  $slink['url'] != '' ? ' href="'.esc_url($slink['url']).'"' : ' href="#"';
										$s_target = $slink['target'] != '' ? ' target="'.esc_attr( $slink['target']).'"' : '';

										$out .= '<li><a'.$s_href.'>'.$s_title.'</a></li>';
									}
									$out .= '</ul>';
								$out .= '</li>';

							}else{

							$out .= '<li><a class="smooth-menu"'.$href.'>'.$atitle.'</a></li>';

							}
						}

						$out .= '</ul>';

					}else {

						ob_start();

						//default wp menu
						wp_nav_menu( array(
							'menu'            => 'header_menu_1',
							'theme_location'  => 'header_menu_1',
							'container'       => '', // menu wrapper element
							'container_class' => '',
							'container_id'    => '',  // default: none
							'menu_class'      => '', // ul class
							'menu_id'         => '', // ul id
							'items_wrap'      => '%3$s',
							'before'          => '', // before <a>
							'after'           => '', // after <a>
							'link_before'     => '', // inside <a>, before text
							'link_after'      => '', // inside <a>, after text
							'depth'           => 4, // '0' to display all depths
							'echo' 			  => true,
							'fallback_cb'     => 'softing_Wp_Bootstrap_Navwalker::fallback',
							'walker'          => new softing_Wp_Bootstrap_Navwalker()
						));

					$out .= '<ul class="nav navbar-nav navbar-right" data-in="#" data-out="#">'. ob_get_clean().'</ul>';
					}

                $out .= '</div>';
            $out .= '</div>';

        $out .= '</nav>';


    $out .= '</header>';


	return $out;
}
add_shortcode('softing_nav', 'softing_vc_nav');
}

/*******************************/
/* Page Breadcrumbs
/******************************/
if(!function_exists('softing_vc_page_bread')) {
function softing_vc_page_bread( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	//title options
	'text'		=> '',
	'ctext'		=> '',
	'bread'		=> '',
	'align'		=> '',
	//title
	'tclr'		=> '',
	'tsz'		=> '',
	'tlh'		=> '',
	//bread
	'bgclr'		=> '',
	'bclr'		=> '',
	'bsz'		=> '',
	'blh'		=> '',
	'bhvrclr'	=> '',
	//background css
    "css"		=> '',
    ), $atts, 'softing_page_bread' );

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//title css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.breadcrumb-area h1{ '.$tdata.' }' : '';

	//brad css
	$bcss = array('color' => $atts['bclr'],'font-size' => $atts['bsz'],'line-height' => $atts['blh']);
	$bdata = softing_style($bcss);
	$bdata = $bdata ? '.page-breadcrumbs li { '.$bdata.' }' : '';
	$bldata = $atts['bgclr'] ? $bdata.'.page-breadcrumbs li a { color:'.$atts['bgclr'].'; }' : $bdata;
	$bdata .= $atts['bhvrclr'] ? $bldata.'.page-breadcrumbs li a:hover{ color:'.$atts['bhvrclr'].'; }' : $bldata;

	//final data css
	$finalcss = $tdata || $bdata ? ' data-res-css="'.$tdata.$bdata.'"' : '';

	$out = '';

		$out .= '<div class="breadcrumb-area shadow dark bg-fixed text-center padding-xl text-light'.$bgcss.'"'.$finalcss.'>';
			$out .= '<div class="container">';
				$out .= '<div class="row">';
					$out .= '<div class="col-lg-12 col-md-12">';

							if( $atts['text'] == 'custom' ){
								$out .= '<h1>'.$atts['ctext'].'</h1>';
							}else{
								$out .= '<h1>'.get_the_title().'</h1>';
							}

							if( $atts['bread'] != 'hide' ){
								ob_start();
								softing_breadcrumbs();
								$out .= '<div class="page-breadcrumbs">'. ob_get_clean().'</div>';
							}

					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</div>';
	return $out;
}
add_shortcode('softing_page_bread', 'softing_vc_page_bread');
}

/*******************************/
/* Home Hero
/******************************/
if(!function_exists('softing_vc_home_hero1')) {
function softing_vc_home_hero1( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	//title style
    "loops"		=> '',
    "dotss"		=> '',
    "autoplays" => '',
    "items"		=> '',
    "style"		=> '',
    "title"		=> '',
    "desc"		=> '',
    "img"		=> '',
    "shape"		=> '',
    "vurl"		=> '',
    "vtitle"	=> '',
    "images"	=> '',
	//button
    "link"		=> '',
    "bclr"		=> '',
    "bhvr"		=> '',
    "bbg"		=> '',
    "bhvrbg"	=> '',
    "bbrd"		=> '',
    "bhvrbrd"	=> '',
	//title style
	'tclr'		=> '',
	'tsz'		=> '',
	'tlh'		=> '',
	//title style
	'pclr'		=> '',
	'psz'		=> '',
	'plh'		=> '',
	//span text
	'spclr'		=> '',
	//icon style
	'iclr'		=> '',
	//css editor
	'transbg'	=> '',
	'css'		=> '',
	), $atts, 'softing_home_hero1');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//unique class for pack
	$uniq = 'banner_1541'.mt_rand(15, 1000);
	$finalcss = '';

	//title css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.banner-area.'.$uniq.' .left-info h1 { '.$tdata.' }' : '';

	//span title css
	$spdata = $atts['spclr'] ? '.banner-area.'.$uniq.' .left-info h1 b { color: '.$atts['spclr'].'; }' : '';

	//desc css
	$pcss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh']);
	$pdata = softing_style($pcss);
	$pdata = $pdata ? '.banner-area.'.$uniq.' .left-info p { '.$pdata.' }' : '';

	//info css
	$idata = $atts['iclr'] ? '.banner-area.'.$uniq.' .video-play-button:before, .banner-area.'.$uniq.' .video-play-button:after { background-color:'.$atts['iclr'].' }' : '';

	//button css
	$bcss = array('color' => $atts['bclr'],'border-color' => $atts['bbrd'],'background-color' => $atts['bbg']);
	$bdata = softing_style($bcss);
	$bdata = $bdata ? '.banner-area.'.$uniq.' a.btn{ '.$bdata.' }' : '';
	//button hover css
	$bhvrcss = array('color' => $atts['bhvr'],'border-color' => $atts['bhvrbrd'],'background-color' => $atts['bhvrbg']);
	$bhvrdata = softing_style($bhvrcss);
	$bhvrdata = $bhvrdata ? '.banner-area.'.$uniq.' a.btn:hover{ '.$bhvrdata.' }' : '';


	//final data css
	$finalcss = $tdata || $pdata || $spdata || $idata || $bdata || $bhvrdata ? ' data-res-css="'.$tdata.$pdata.$spdata.$idata.$bdata.$bhvrdata.'"' : '';


	$link	=  !empty($atts['link']) ? $atts['link'] : '';
	$link	= vc_build_link( $link );
	$atitle	=  $link['title'];
	$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : ' href="#"';
	$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';

	if( $atts['vurl'] ){
		wp_enqueue_style('magnific');
		wp_enqueue_script('magnific');
		wp_enqueue_script('magnific-custom');
	}

	if ( ! empty($atts['images']) ){
		wp_enqueue_script('owl-carousel');
		wp_enqueue_script('carousel-custom');
	}


	$bgclr1 = $atts['transbg'] == 'yes' ? '' : ' bg-theme-small';
	$bgclr2 = $atts['transbg'] == 'yes' ? '' : ' bg-theme';
	$style = $atts['style'] != '' ? $atts['style'] : 'b1';

	$out = '';

    if ($atts['loops'] == "yes") : $loops="true"; elseif ($atts['loops']=="") : $loops="true"; else : $loops="false"; endif;
    if ($atts['dotss'] == "yes") : $dotss="true"; elseif ($atts['dotss']=="") : $dotss="false"; else : $dotss="false"; endif;
    if ($atts['autoplays'] == "yes") : $autoplays="true"; elseif ($atts['autoplays']=="") : $autoplays="true"; else : $autoplays="false"; endif;
    $items     = $atts['items'] ? $atts['items'] : 1;

	if( $style == 'b1' ||  $style == 'b4' ){
	if( $style == 'b1' ){
    $out .= '<div class="banner-area content-double shape-line'.$bgclr1.' normal-text '.$uniq.$bgcss.'"'.$finalcss.'>';
	}else{
    $out .= '<div class="banner-area content-double banner-top-padding text-dark'.$bgclr2.' small-text '.$uniq.$bgcss.'"'.$finalcss.'>';
	}
        $out .= '<div class="box-table">';
            $out .= '<div class="box-cell">';
                $out .= '<div class="container">';
                    $out .= '<div class="row">';
                        $out .= '<div class="double-items">';
						if( $style == 'b1' ){
                            $out .= '<div class="col-lg-5 col-md-5 left-info simple-video">';
						}else{
                            $out .= '<div class="col-lg-6 col-md-6 left-info simple-video">';
						}
                                $out .= '<div class="content">';
									//title
                                    if( $atts['title'] ){ $out .= '<h1>'.$atts['title'].'</h1>'; }
									//desc
                                    if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }
									//button
									if( $atitle ){ $out .= '<a class="btn circle btn-theme border btn-md"'.$href.$target.'>'.$atitle.'</a>'; }
									//video button
                                    if( $atts['vurl'] ){
									$out .= '<a class="popup-youtube video-play-button" href="'.$atts['vurl'].'">
                                        <i class="fa fa-play"></i>
                                    </a>';
									}

                                $out .= '</div>';
                            $out .= '</div>';
							//right image
							if( $atts['img'] ){
							if( $style == 'b1' ){
                            $out .= '<div class="col-lg-7 col-md-7 right-info">';
							}else{
                            $out .= '<div class="col-lg-6 col-md-6 right-info">';
							}
								$out .= softing_img( $atts['img'], $imgclass='', $imgw='', $imgh='' );
                            $out .= '</div>';
							}
                        $out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
				if( $atts['shape'] ){
                $out .= '<div class="wavesshape">';
					$out .= softing_img( $atts['shape'], $imgclass='', $imgw='', $imgh='' );
                $out .= '</div>';
				}
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</div>';

	}elseif( $style == 'b2' ){

	$out .= '<div class="banner-area auto-height text-center text-light shadow dark-hard small-text bg-fixed '.$uniq.$bgcss.'"'.$finalcss.'>';
        $out .= '<div class="box-table">';
            $out .= '<div class="box-cell">';
                $out .= '<div class="container">';
                    $out .= '<div class="row">';
                        $out .= '<div class="double-items">';
                            $out .= '<div class="col-lg-8 col-md-8 col-lg-offset-2 col-md-offset-2">';
                                $out .= '<div class="content" data-animation="animated fadeInUpBig">';
									//title
                                    if( $atts['title'] ){ $out .= '<h1>'.$atts['title'].'</h1>'; }
									//desc
                                    if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }
									//button
									if( $atitle ){ $out .= '<a class="btn circle btn-light border btn-md"'.$href.$target.'>'.$atitle.'</a>'; }
                                $out .= '</div>';
                            $out .= '</div>';
                            $out .= '<div class="col-lg-8 col-md-8 col-lg-offset-2 col-md-offset-2">';
                                $out .= '<div class="banner">';
									if( $atts['img'] ){
									$out .= softing_img( $atts['img'], $imgclass='', $imgw='', $imgh='' );
									}
									//video button
                                    if( $atts['vurl'] ){
                                    $out .= '<div class="overlay">';
									$out .= '<a class="popup-youtube video-play-button" href="'.$atts['vurl'].'">
                                        <i class="fa fa-play"></i>
                                    </a>';
                                    $out .= '</div>';
									}
                                $out .= '</div>';
                            $out .= '</div>';
                        $out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</div>';

	}elseif( $style == 'b3' ){

	$out .= '<div class="banner-area with-carousel content-double transparent-nav bg-theme-small normal-text'.$uniq.$bgcss.'"'.$finalcss.' data-slider-settingss=\'{"loop":'.$loops.',"dots":'.$dotss.',"autoplay":'.$autoplays.',"items":'.$items.'}\'>';
        $out .= '<div class="box-table">';
            $out .= '<div class="box-cell">';
               $out .= '<div class="container">';
                    $out .= '<div class="row">';
                        $out .= '<div class="double-items">';

                            $out .= '<div class="col-lg-5 col-md-5 left-info">';
                                $out .= '<div class="content" data-animation="animated fadeInUpBig">';
									//title
                                    if( $atts['title'] ){ $out .= '<h1>'.$atts['title'].'</h1>'; }
									//desc
                                    if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }
									//button
									if( $atitle ){ $out .= '<a class="btn circle btn-dark border btn-sm"'.$href.$target.'>'.$atitle.'</a>'; }
									//video button
                                    if( $atts['vurl'] ){
                                    $out .= '<a class="btn circle btn-theme effect btn-sm popup-youtube" href="'.$atts['vurl'].'">'.$atts['vtitle'].' <i class="fas fa-play-circle"></i></a>';
									}
                                $out .= '</div>';
                            $out .= '</div>';
							if ( ! empty($atts['images']) ){
                            $out .= '<div class="col-lg-7 col-md-7 right-info">';

                                $out .= '<div class="banner-carousel owl-carousel owl-theme owl-loaded owl-drag">';

									$image_ids = explode(',',$atts['images']);
									foreach( $image_ids as $image_id ){
										$images = softing_img( $image_id, $imgclass='', $imgw='', $imgh='' );
										$out .= '<div class="item">';
											$out .= $images;
										$out .= '</div>';
										$images++;
									}

								$out .= '</div>';
							$out .= '</div>';
							}

						$out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</div>';

	}

	return $out;
}
add_shortcode('softing_home_hero1', 'softing_vc_home_hero1');
}

/*******************************/
/* Section Title
/******************************/
if(!function_exists('softing_vc_section_title')) {
function softing_vc_section_title( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "title"	=> '',
    "desc"	=> '',
    "align"	=> 'text-center',
	//custom style
	"tclr"	=> '',
	"tsz"	=> '',
	"tlh"	=> '',
	//desc text
	"pclr"	=> '',
	"psz"	=> '',
	"plh"	=> '',
	//bg image
	"css"	=> '',
	), $atts, 'softing_section_title');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	$uniq = 'sec_title_1541'.mt_rand(15, 1000000000);

	//title css

	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.section-title.'.$uniq.' h1{ '.$tdata.' }' : '';
	//desc css

	$pcss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh']);
	$pdata = softing_style($pcss);
	$pdata = $pdata ? '.section-title.'.$uniq.' p{ '.$pdata.' }' : '';

	//final data css
	$finalcss = $tdata || $pdata ? ' data-res-css="'.$tdata.$pdata.'"' : '';
	$single = $atts['desc'] == '' ? ' single' : '';

	$out = '';

	$out .= '<div class="site-heading '.$atts['align'].$single.' '.$uniq.''.$bgcss.'"'.$finalcss.'>';

		if( $atts['title'] ){ $out .= '<h2>'.$atts['title'].'</h2>'; }
		if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }

	$out .= '</div>';

	return $out;
}
add_shortcode('softing_section_title', 'softing_vc_section_title');
}


/*******************************/
/* Team Slider Container
/******************************/
if(!function_exists('softing_vc_team_container')) {
function softing_vc_team_container( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	//css editor
	'css'		    => '',
	'loop'		    => '',
	'dots'		    => '',
	'autoplay'		=> '',
	'items1'		=> '',
	'items2'		=> '',
	), $atts, 'softing_team_container');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	$out = '';

    if ($atts['loop'] == "yes") : $loop="true"; elseif ($atts['loop']=="") : $loop="false"; else : $loop="false"; endif;
    if ($atts['dots'] == "yes") : $dots="true"; elseif ($atts['dots']=="") : $dots="true"; else : $dots="false"; endif;
    if ($atts['autoplay'] == "yes") : $autoplay="true"; elseif ($atts['autoplay']=="") : $autoplay="true"; else : $autoplay="false"; endif;
    $items1     = $atts['items1'] ? $atts['items1'] :2 ;
    $items2     = $atts['items2'] ? $atts['items2'] : 3;

		wp_enqueue_script('owl-carousel');
		wp_enqueue_script('carousel-custom');
	   $out .= '<div class="team-area '.$bgcss.'" >';
		   $out .= '<div class="team-items team-carousel owl-carousel owl-theme" data-slider-settings=\'{"loop":'.$loop.',"dots":'.$dots.',"autoplay":'.$autoplay.',"items1":'.$items1.',"items2":'.$items2.'}\'>';

				$out .= do_shortcode( $content );

		   $out .= '</div>';
	   $out .= '</div>';

	return $out;
}
add_shortcode('softing_team_container', 'softing_vc_team_container');
}


/*******************************/
/* Team Box
/******************************/
if(!function_exists('softing_vc_team_item')) {
function softing_vc_team_item( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "img"		=> '',
    "imgw"		=> '',
    "imgh"		=> '',
    "name"		=> '',
    "job"		=> '',
	//social loop
    "socials"	=> '',
    "icon"		=> '',
    "iconname"	=> '',
    "link"		=> '',
	//icon style
	'iclr'		=> '',
	'ihvrclr'	=> '',
	'isz'		=> '',
	'ilh'		=> '',
	//title style
	'tclr'		=> '',
	'tsz'		=> '',
	'tlh'		=> '',
	//job style
	'jclr'		=> '',
	'jsz'		=> '',
	'jlh'		=> '',
	//css editor
	'css'		=> '',
	), $atts, 'softing_team_item');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//unique class for pack
	$uniq = 'team_'.mt_rand(5, 1000);

	//name css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.team-area.'.$uniq.' .info h4 { '.$tdata.' }' : '';

	//job css
	$jcss = array('color' => $atts['jclr'],'font-size' => $atts['jsz'],'line-height' => $atts['jlh']);
	$jdata = softing_style($jcss);
	$jdata = $jdata ? '.team-area.'.$uniq.' .info span { '.$jdata.' }' : '';

	//social icon css
	$icss = array('color' => $atts['iclr'],'font-size' => $atts['isz'],'line-height' => $atts['ilh']);
	$idata = softing_style($icss);
	$idata = $idata ? '.team-area.'.$uniq.' .social li a{ '.$idata.' }' : '';

	//social icon hover css
	$ihvrdata = $atts['ihvrclr'] ? '.team-area.'.$uniq.' .social a:hover{color:'.$atts['ihvrclr'].';}' : '';

	//final data css
	$finalcss = $tdata || $jdata || $idata || $ihvrdata ? ' data-res-css="'.$tdata.$jdata.$idata.$ihvrdata.'"' : '';

	$out = '';

		$out .= '<div class="team-area '.$uniq.''.$bgcss.'"'.$finalcss .'>';
			$out .= '<div class="item">';
				$out .= '<div class="thumb">';
					$out .= softing_img( $atts['img'], $imgclass='', $atts['imgw'], $atts['imgh'] );
					$out .= '<div class="social">';
						$out .= '<ul>';
						$loop = (array) vc_param_group_parse_atts($atts['socials']);
						foreach ( $loop as $item ) {
							$icon =  isset($item['icon']) != '' ? $item['icon'] : '';
							$iconname =  isset($item['iconname']) != '' ? $item['iconname'] : 'facebook';
							if($icon != ''){
							$link	=  !empty($item['link']) ? $item['link'] : '';
							$link	= vc_build_link( $link );
							$atitle	=  $link['title'];
							$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : ' href="#"';
							$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';
							$out .= '<li class="'.$iconname.'">';
								$out .= '<a'.$href.$target.'><i class="'.$icon.'"></i></a>';
							$out .= '</li>';
							}
						}
						$out .= '</ul>';
					$out .= '</div>';
				$out .= '</div>';
				if( $atts['name'] || $atts['job'] ){
				$out .= '<div class="info">';
					//team name
					if( $atts['name'] ){ $out .= '<h4>'.$atts['name'].'</h4>'; }
					//team job
					if( $atts['job'] ){ $out .= '<span>'.$atts['job'].'</span>'; }
				$out .= '</div>';
				}
			$out .= '</div>';
	   $out .= '</div>';

	return $out;
}
add_shortcode('softing_team_item', 'softing_vc_team_item');
}

/*******************************/
/* Pricing Box
/******************************/
if(!function_exists('softing_vc_pricing_item')) {
function softing_vc_pricing_item( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "active"	=> '',
    "title"		=> '',
    "desc"		=> '',
    "features"	=> '',
    "list"		=> '',
    "check"		=> '',
    "currency"	=> '',
    "price"		=> '',
    "period"	=> '',
    "prbg"		=> '',
	//button
    "link"		=> '',
    "bclr"		=> '',
    "bhvr"		=> '',
    "bbg"		=> '',
    "bhvrbg"	=> '',
    "bbrd"		=> '',
    "bhvrbrd"	=> '',
	//icon style
	'iclr'		=> '',
	'isz'		=> '',
	'ilh'		=> '',
	//title style
	'tclr'		=> '',
	'tsz'		=> '',
	'tlh'		=> '',
	//price style
	'pclr'		=> '',
	'psz'		=> '',
	'plh'		=> '',
	//price style
	'prclr'		=> '',
	'prsz'		=> '',
	'prlh'		=> '',
	//price style
	'perclr'	=> '',
	'persz'		=> '',
	'perlh'		=> '',
	//features style
	'fclr'		=> '',
	'fsz'		=> '',
	'flh'		=> '',
	//css editor
	'css'		=> '',
	), $atts, 'softing_pricing_item');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//unique class for pack
	$uniq = 'pricing_1541'.mt_rand(15, 1000);
	//title css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.pricing-area.'.$uniq.' h4 { '.$tdata.' }' : '';
	//price css
	$prcss = array('color' => $atts['prclr'],'font-size' => $atts['prsz'],'line-height' => $atts['prlh']);
	$prdata = softing_style($prcss);
	$prdata = $prdata ? '.pricing-area.'.$uniq.' h2 { '.$prdata.' }' : '';
	//period css
	$percss = array('color' => $atts['perclr'],'font-size' => $atts['persz'],'line-height' => $atts['perlh']);
	$perdata = softing_style($percss);
	$perdata = $perdata ? '.pricing-area.'.$uniq.' h2 sup{ '.$perdata.' }' : '';
	//style price bg
	$prbgdata = $atts['prbg'] ? '.pricing-area.'.$uniq.' .pricing-header{background-color:'.$atts['prbg'].';}' : '';
	//features css
	$fcss = array('color' => $atts['fclr'],'font-size' => $atts['fsz'],'line-height' => $atts['flh']);
	$fdata = softing_style($fcss);
	$fdata = $fdata ? '.pricing-area.'.$uniq.' li{ '.$fdata.' }' : '';
	//button css
	$bcss = array('color' => $atts['bclr'],'border-color' => $atts['bbrd'],'background-color' => $atts['bbg']);
	$bdata = softing_style($bcss);
	$bdata = $bdata ? '.'.$uniq.' .pricing-button a.btn{ '.$bdata.' }' : '';
	//button hover css
	$bhvrcss = array('color' => $atts['bhvr'],'border-color' => $atts['bhvrbrd'],'background-color' => $atts['bhvrbg']);
	$bhvrdata = softing_style($bhvrcss);
	$bhvrdata = $bhvrdata ? '.pricing-area.'.$uniq.' a.btn:hover{ '.$bhvrdata.' }' : '';

	//final data css
	$finalcss = $tdata || $prdata || $prbgdata || $perdata || $fdata || $bdata || $bhvrdata ? ' data-res-css="'.$tdata.$prdata.$prbgdata.$perdata.$fdata.$bdata.$bhvrdata.'"' : '';
	$uniq = $tdata || $prdata || $prbgdata || $perdata || $fdata || $bdata || $bhvrdata ? ' '.$uniq : '';

	//btn link
	$link	=  !empty($atts['link']) ? $atts['link'] : '';
	$link	= vc_build_link( $link );
	$atitle	=  $link['title'];
	$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : ' href="#"';
	$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';

	$loop = (array) vc_param_group_parse_atts($atts['features']);
	$out = '';

		$active = $atts['active'] == 'yes' ? ' active' : '';
		$out .= '<div class="pricing-area'.$uniq.$bgcss.'"'.$finalcss.'>';
			$out .= '<div class="pricing-item text-center'.$active.'">';
				$out .= '<ul>';
					//pack title and price
					$out .= '<li class="pricing-header">';
						if( $atts['title'] ){ $out .= '<h4>'.$atts['title'].'</h4>'; }
						if( $atts['price'] ){
						$out .= '<h2><sup>'.$atts['currency'].'</sup>'.$atts['price'].' <sub>/ '.$atts['period'].'</sub></h2>';
						}
					$out .= '</li>';

					//pack features
					foreach ( $loop as $item ) {
						if( isset($item['list']) != '' ){
						$check = isset($item['check']) == 'yes' ? 'check' : 'times';
						$out .= '<li><i class="fas fa-'.$check.'"></i> '.$item['list'].'<li>';
						}
					}

					if( $atitle ){
					$out .= '<li class="footer">';
						$border = $atts['active'] == 'yes' ? '' : ' border';
						$out .= '<a class="btn circle btn-theme'.$border.' btn-sm" '.$href.$target.'>'.$atitle.'</a>';
					$out .= '</li>';
					}
				$out .= '</ul>';
			$out .= '</div>';
		$out .= '</div>';

	return $out;
}
add_shortcode('softing_pricing_item', 'softing_vc_pricing_item');
}

/*******************************/
/* Testimonials Slider
/******************************/
if(!function_exists('softing_vc_testimonial_slider')) {
function softing_vc_testimonial_slider( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	//loop
    "loop"	=> '',
    "img"	=> '',
    "name"	=> '',
    "job"	=> '',
	"quote"	=> '',
    "imgw"	=> '',
    "imgh"	=> '',
	//title style
	"tclr"	=> '',
	"tsz"	=> '',
	"tlh"	=> '',
	//job style
	'jclr'	=> '',
	'jsz'	=> '',
	'jlh'	=> '',
	//quote text
	"pclr"	=> '',
	"psz"	=> '',
	"plh"	=> '',
	//quote text
	"iclr"	=> '',
	"isz"	=> '',
	"ilh"	=> '',
	"ibg"	=> '',
	//nav style
	"nbg"	=> '',
	"nhvrbg"=> '',
	//bg image
	"css"	=> '',
	), $atts, 'softing_testimonial_slider' );

	wp_enqueue_script('owl-carousel');
	wp_enqueue_script('carousel-custom');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );
	$loop = (array) vc_param_group_parse_atts($atts['loop']);


	//unique class for pack
	$uniq = 'testimonial_1541'.mt_rand(15, 1000000000);

	//name css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.testimonials-area.'.$uniq.' .item h4 { '.$tdata.' }' : '';

	//job css
	$jcss = array('color' => $atts['jclr'],'font-size' => $atts['jsz'],'line-height' => $atts['jlh']);
	$jdata = softing_style($jcss);
	$jdata = $jdata ? '.testimonials-area.'.$uniq.' .item span.position { '.$jdata.' }' : '';

	//quote css
	$pcss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh']);
	$pdata = softing_style($pcss);
	$pdata = $pdata ? '.testimonials-area.'.$uniq.' .item p{ '.$pdata.' }' : '';

	//quote icon css
	$icss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh'],'background-color' => $atts['ibg']);
	$idata = softing_style($icss);
	$idata = $idata ? '.testimonials-area.'.$uniq.' .item span.quote{ '.$idata.' }' : '';


	//final data css
	$finalcss = $tdata || $jdata || $pdata || $idata ? ' data-res-css="'.$tdata.$jdata.$pdata.$idata.'"' : '';

	$out = '';

    $out .= '<div class="testimonials-area '.$uniq.''.$bgcss.'"'.$finalcss.'>';
		$out .= '<div class="testimonial-items text-center">';
			$out .= '<div class="carousel slide" data-ride="carousel" data-interval="500000" id="testimonial-carousel">';

				$out .= '<div class="carousel-inner">';
				$counter = 1;
				foreach ( $loop as $item ) {
					$active = $counter == 1 ? ' active' : '';
					$out .= '<div class="item'.$active.'">';
						$out .= '<span class="quote"></span>';
						if( isset($item['quote']) != '' ){ $out .= '<p>'.$item['quote'].'</p>'; }
						if( isset($item['name']) != '' ){ $out .= '<h4>'.$item['name'].'</h4>'; }
						if( isset($item['job']) != '' ){ $out .= '<span class="position">'.$item['job'].'</span>'; }
					$out .= '</div>';
					$counter++;
				}
				$out .= '</div>';

				$out .= '<ol class="carousel-indicators">';
				$counter2 = 0;
				foreach ( $loop as $item ) {
					$active2 = ($counter2 + 1) == 1 ? ' class="active"' : '';
					$out .= '<li data-target="#testimonial-carousel" data-slide-to="'.$counter2.'"'.$active2.'>';
						$out .= softing_img( $item['img'], $imgclass='', $atts['imgw'], $atts['imgh'] );
					$out .= '</li>';
					$counter2++;
				}
				$out .= '</ol>';

			$out .= '</div>';
		$out .= '</div>';
    $out .= '</div>';

	return $out;
}
add_shortcode('softing_testimonial_slider', 'softing_vc_testimonial_slider');
}

/*******************************/
/* Client Slider
/******************************/
if(!function_exists('softing_vc_clients_slider')) {
function softing_vc_clients_slider( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	//loop
    "loops" => '',
    "dotss" => '',
    "autoplays" => '',
    "items1" => '',
    "items2" => '',
    "loop"	=> '',
    "link"	=> '',
    "img"	=> '',
    "imgw"	=> '',
    "imgh"	=> '',
	//bg image
	"css"	=> '',
	), $atts, 'softing_clients_slider' );

	wp_enqueue_script('owl-carousel');
	wp_enqueue_script('carousel-custom');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );
	$loop = (array) vc_param_group_parse_atts($atts['loop']);

	$out = '';

    if ($atts['loops'] == "yes") : $loops="true"; elseif ($atts['loops']=="") : $loops="false"; else : $loops="false"; endif;
    if ($atts['dotss'] == "yes") : $dotss="true"; elseif ($atts['dotss']=="") : $dotss="false"; else : $dotss="false"; endif;
    if ($atts['autoplays'] == "yes") : $autoplays="true"; elseif ($atts['autoplays']=="") : $autoplays="true"; else : $autoplays="false"; endif;
    $items1     = $atts['items1'] ? $atts['items1'] : 2;
    $items2     = $atts['items2'] ? $atts['items2'] : 3;

		$out .= '<div class="companies-area'.$bgcss.'" data-slider-settingss=\'{"loop":'.$loops.',"dots":'.$dotss.',"autoplay":'.$autoplays.',"items1":'.$items1.',"items2":'.$items2.'}\'>';
			$out .= '<div class="clients-items owl-carousel owl-theme text-center">';
			foreach ( $loop as $item ) {
				$out .= '<div class="single-item">';
				$link	=  !empty($item['link']) ? $item['link'] : '';
				$link	= vc_build_link( $link );
				$atitle	=  $link['title'];
				$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : '';
				$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';

				if($href != '' ){
					$out .= '<a'.$href.$target.'>'.softing_img( $item['img'], $imgclass='', $atts['imgw'], $atts['imgh'] ).'</a>';
				}else{
					$out .= softing_img( $item['img'], $imgclass='', $atts['imgw'], $atts['imgh'] );
				}
				$out .= '</div>';
			}
			$out .= '</div>';
		$out .= '</div>';


	return $out;
}
add_shortcode('softing_clients_slider', 'softing_vc_clients_slider');
}

/*******************************/
/* Overwiew Slider
/******************************/
if(!function_exists('softing_vc_overwiew_slider')) {
function softing_vc_overwiew_slider( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	//loop
    "loops" => '',
    "dotss" => '',
    "autoplays" => '',
    "items" => '',
    "style" => '',
    "images"=> '',
    "loop"	=> '',
    "title"	=> '',
    "desc"	=> '',
    "link"	=> '',
    "img"	=> '',
    "imgw"	=> '',
    "imgh"	=> '',
	//bg image
	"css"	=> '',
	), $atts, 'softing_overwiew_slider' );

	wp_enqueue_script('owl-carousel');
	wp_enqueue_script('carousel-custom');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	$style = $atts['style'] ? $atts['style'] : '1';

	$out = '';

    if ($atts['loops'] == "yes") : $loops="true"; elseif ($atts['loops']=="") : $loops="true"; else : $loops="false"; endif;
    if ($atts['dotss'] == "yes") : $dotss="true"; elseif ($atts['dotss']=="") : $dotss="true"; else : $dotss="false"; endif;
    if ($atts['autoplays'] == "yes") : $autoplays="true"; elseif ($atts['autoplays']=="") : $autoplays="true"; else : $autoplays="false"; endif;
    $items     = $atts['items'] ? $atts['items'] : 1;

	if ( $style == '1' ){
		if ( !empty($atts['images']) ){
			$out .= '<div class="overview-area '.$bgcss.'" data-slider-settingss=\'{"loop":'.$loops.',"dots":'.$dotss.',"autoplay":'.$autoplays.',"items":'.$items.'}\'>';
				$out .= '<div class="overview-items">';
					$out .= '<div class="overview-carousel owl-carousel owl-theme">';

						$image_ids = explode(',',$atts['images']);
						foreach( $image_ids as $image_id ){
							$out .= softing_img( $image_id, $imgclass='', $atts['imgw'], $atts['imgh'] );
						}

					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		}
	}else{

		$loop = (array) vc_param_group_parse_atts($atts['loop']);

		$out .= '<div id="overview" class="overview-area carousel-shadow'.$bgcss.'">';
			$out .= '<div class="overview-items">';
				$out .= '<div class="overview-carousel-cell owl-carousel owl-theme">';
				foreach ( $loop as $item ) {
					$out .= '<div class="item">';
						$out .= '<div class="col-lg-7 col-md-7 thumb">';
							$out .= softing_img( $item['img'], $imgclass='', $atts['imgw'], $atts['imgh'] );
						$out .= '</div>';
						$out .= '<div class="col-lg-5 col-md-5 info">';
							$out .= '<div class="content">';

								if( isset($item['title']) != '' ){ $out .= '<h3>'.$item['title'].'</h3>'; }

								if( isset($item['desc']) != '' ){ $out .= wpautop($item['desc']); }

								$link	=  !empty($item['link']) ? $item['link'] : '';
								$link	= vc_build_link( $link );
								$atitle	=  $link['title'];
								$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : '';
								$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';

								if($atitle != '' ){
								$out .= '<a class="more"'.$href.$target.'>'.$atitle.' <i class="fas fa-angle-right"></i></a>';
								}
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</div>';
				}

				$out .= '</div>';
			$out .= '</div>';
		$out .= '</div>';
	}

	return $out;
}
add_shortcode('softing_overwiew_slider', 'softing_vc_overwiew_slider');
}


/*******************************/
/* Blog Post Loop
/******************************/
if(!function_exists('softing_vc_blog')) {
function softing_vc_blog( $atts, $content = null ) {
  $atts = shortcode_atts(array(
	'build_query'=> '',
	'style'  	=> '',
	'gridcol'  	=> '',
	'mascol'  	=> '',
	'textalign' => 'text-left',
	//pagination options
	'pag'  		=> '',
	//thumb options
	'hidethumb' => '',
	'imgw'  	=> '',
	'imgh'  	=> '',
	'fullthumb' => '',
	//title options
	'hidetitle' => '',
	'tclr'		=> '',
	'tsz'		=> '',
	'tlh'		=> '',
	'thvrclr'	=> '',
	//meta options
	'hideauthor'=> '',
	'hidedate'  => '',
	'hidecom'   => '',
	'cclr'		=> '',
	'csz'		=> '',
	'clh'		=> '',
	//content options
	'hidetext'  => '',
	'excerptsz' => '30',
	'pclr'		=> '',
	'psz'		=> '',
	'plh'		=> '',
	//background css
    "css"		=> '',
    ), $atts, 'softing_blog' );

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//unique class for pack
	$uniq = 'blog_posts_1541'.mt_rand(15, 1000000000);

	//title css
	if($atts['hidetitle'] != 'hide' ){
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.blog-area.'.$uniq.' h4 a{ '.$tdata.' }' : '';
	$tdata .= $atts['thvrclr'] ? $tdata.'.blog-area.'.$uniq.' h4 a:hover{ color:'.$atts['thvrclr'].'; }' : $tdata;
	}

	//excerpt css
	if($atts['hidetext'] != 'hide' ){
	$pcss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh']);
	$pdata = softing_style($pcss);
	$pdata = $pdata ? '.blog-area.'.$uniq.' p{ '.$pdata.' }' : '';
	}

	//post meta css
	if( $atts['hideauthor'] != 'hide' || $atts['hidedate'] != 'hide' || $atts['hidecat'] != 'hide' ){
	$mcss = array('color' => $atts['cclr'],'font-size' => $atts['csz'],'line-height' => $atts['clh']);
	$mdata = softing_style($mcss);
	$mdata = $mdata ? '.blog-area.'.$uniq.' li a{ '.$mdata.' }' : '';
	}

	//final data css
	$finalcss = $tdata || $pdata || $mdata ? ' data-res-css="'.$tdata.$pdata.$mdata.'"' : '';

	$out = '';

	global $post;

	list($args) = vc_build_loop_query($atts['build_query']);
	$args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;

	query_posts( $args );

	// The Query
	$softing_query = new WP_Query( $args );

	if ( $softing_query->have_posts() ) {

    $out .= '<div class="blog-area '.$uniq.''.$bgcss.'"'.$finalcss.'>';

                $out .= '<div class="blog-items">';

					$gridcol = $atts['gridcol'] != '' ? $atts['gridcol'] : '4';
					$gridcolclass = $gridcol != '' ? 'col-lg-'.$gridcol.' col-md-'.$gridcol.'' : 'col-lg-4 col-md-4';

			// The Loop
			$counter = 1;
			while ( $softing_query->have_posts() ) {
			$softing_query->the_post();

				//post thumbnail
				if ( has_post_thumbnail() ){
					$allClasses = get_post_class();
					//post column
					$out .= '<div id="post-'.$post->ID.'" class="'.$gridcolclass.' nt-post '; foreach ($allClasses as $class) { $out .= ' '.$class; }$out .= '">';
					   $out .= '<div class="item '.$atts['textalign'].'">';

								$format = get_post_format() ? : 'standard';
								if ( 'video' == $format ){
								$icon = 'fas fa-video';
								}elseif ( 'audio' == $format ){
								$icon = 'fas fa-music';
								}elseif ( 'gallery' == $format ){
								$icon = 'fas fa-images';
								}else{
								$icon = 'fas fa-image';
								}

								if( $atts['hidethumb'] != 'hide' ){
									$out .= '<div class="thumb">';
										$out .= '<a href="'.get_permalink().'">';
											if( $atts['fullthumb'] == 'yes' ){
											$out .= get_the_post_thumbnail( $post->ID, 'full' );
											}else{
												$posthumbfull = wp_get_attachment_url( get_post_thumbnail_id(), 'full' );
												$img_w =( $atts['imgw'] != '') ? $atts['imgw'] : 767;
												$img_h =( $atts['imgh'] != '') ? $atts['imgh'] : 520;
												$posthumb = ntframework_aq_resize( $posthumbfull, $img_w, $img_h , true, true, true );
												$out .= '<img src="'.$posthumb.'" alt="'.get_the_title().'" />';
											}
												$out .= '<div class="post-type">';
													$out .= '<i class="'.$icon.'"></i>';
												$out .= '</div>';
											$out .= '</a>';
									$out .= '</div>';
								}


                            $out .= '<div class="info">';
								//post title
								if($atts['hidetitle'] != 'hide' ){
									$out .= '<h4><a href="'.get_permalink().'">'.get_the_title().'</a></h4>';
								}

								//post meta
								if( $atts['hideauthor'] != 'hide' || $atts['hidedate'] != 'hide' || $atts['hidecom'] != 'hide' ){
                                $out .= '<div class="meta">';
                                    $out .= '<ul>';

										//post date
										if( $atts['hidedate'] != 'hide' ){

											$archive_year  = get_the_time( 'Y' );
											$archive_month = get_the_time( 'm' );
											$archive_day   = get_the_time( 'd' );

											$out .= '<li><a href="'.esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ).'" class="post-date"><i class="fa fa-calendar"></i> '.get_the_time( get_option( 'date_format' )).'</a></li>';
										}

										//post author
										if( $atts['hideauthor'] != 'hide' ){
											$author_id 	 = get_the_author_meta( 'ID' );
											$author_link = get_author_posts_url( $author_id );
											$out .= '<li><a href="'.esc_url( $author_link ).'" class="post-author"><i class="fa fa-user"></i> '.get_the_author().'</a></li>';
										}
										//post commnets
										if( $atts['hidecom'] != 'hide' ){
										$out .= '<li><a class="post-comment" href=""><i class="fa fa-comments"></i> '.get_comments_number().'</a></li>';
										}

                                    $out .= '</ul>';
                                $out .= '</div>';//post meta
								}

								//post excerpt
								if( $atts['hidetext'] != 'hide' ){
									$out .= wpautop(wp_trim_words( get_the_excerpt(), $atts['excerptsz'] ));
								}

                            $out .= '</div>';// .info

						$out .= '</div>';
					 $out .= '</div>';//column
				}//end post thumbnail

			}//end loop

                $out .= '</div>';

				//pagination
				if( $atts['pag'] == 'yes'){
				ob_start();
				softing_index_loop_pagination();
				$out .= '<div class="col-lg-12 col-md-12"><div class="pagination-shortcode '.$atts['textalign'].'">'. ob_get_clean().'</div></div>';
				}
				wp_reset_query();

    $out .= '</div>';//end blog-area

	}//end if have post

	return $out;
}
add_shortcode('softing_blog', 'softing_vc_blog');
}

/*******************************/
/* Services item
/******************************/
if(!function_exists('softing_vc_features_item')) {
function softing_vc_features_item( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "style"		=> '',
    "title"		=> '',
    "desc"		=> '',
	"iconlist"	=> '',
	"icon"		=> '',
	"icon2"		=> '',
	"useimgicon"=> '',
	"imgicon"	=> '',
	"primarybg"	=> '',
	//custom style
	"tclr"		=> '',
	"tsz"		=> '',
	"tlh"		=> '',
	//desc text
	"pclr"		=> '',
	"psz"		=> '',
	"plh"		=> '',
	//desc text
	"iclr"		=> '',
	"isz"		=> '',
	"ilh"		=> '',
	"ibg"		=> '',
	//bg image
	"css"		=> '',
	), $atts, 'softing_features_item');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//unique class for pack
	$uniq = 'features_'.mt_rand(15, 1000);

	//title css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.container .features-area.'.$uniq.' h4, .container .about-area.'.$uniq.' .item h4 { '.$tdata.' }' : '';
	//desc css
	$pcss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh']);
	$pdata = softing_style($pcss);
	$pdata = $pdata ? '.container .features-area.'.$uniq.' p, .container .about-area.'.$uniq.' .item p { '.$pdata.' }' : '';
	//desc css
	$icss = array('color' => $atts['iclr'],'font-size' => $atts['isz'],'line-height' => $atts['ilh'],'background-color' => $atts['ibg']);
	$idata = softing_style($icss);
	$idata = $idata ? '.container .features-area.'.$uniq.' .icon i, .container .about-area.'.$uniq.' .item i  { '.$idata.' }' : '';

	$primarybg = $atts['primarybg'] ? '.'.$uniq.'.primary-bg .item{ background-color:'.$atts['primarybg'].'; }' : '';
	//final data css
	$finalcss = $tdata || $pdata || $idata || $primarybg ? ' data-res-css="'.$tdata.$pdata.$idata.$primarybg.'"' : '';

	$icon = $atts['icon'] ? $atts['icon'] : '';
	$sericon = $atts['iconlist'] == 'yes' && $atts['icon2'] != '' ? $atts['icon2'] : $icon;

	$style = $atts['style'] != '' ? $atts['style'] : '1';

	$out = '';

		if( $style == '1' ){

    		$out .= '<div class="features-area sm-center '.$uniq.''.$bgcss.'"'.$finalcss.'>';
    			$out .= '<div class="item">';
    				if( $atts['useimgicon'] == 'yes' ){
        				if( $atts['imgicon'] ){
                            $out .= '<div class="icon">'.softing_img( $atts['imgicon'], $imgclass='', $imgw='', $imgh='' ).'</div>';
                        }
                    } else {
                        if( $sericon ){
                            $out .= '<div class="icon"><i class="'.$sericon.'"></i></div>';
                        }
                    }
    				$out .= '<div class="info">';
    					if( $atts['title'] ){ $out .= '<h4>'.$atts['title'].'</h4>'; }
    					if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }
    				$out .= '</div>';

    			$out .= '</div>';
    		$out .= '</div>';

		}else{

			$hasbg = $atts['primarybg'] != '' ? ' primary-bg' : '';
    		$out .= '<div class="about-area '.$uniq.$hasbg.''.$bgcss.'"'.$finalcss.'>';
    			$out .= '<div class="services-info">';
    				$out .= '<div class="item">';
                        if( $atts['useimgicon'] == 'yes' ){
            				if( $atts['imgicon'] ){
                                $out .= softing_img( $atts['imgicon'], $imgclass='', $imgw='', $imgh='' );
                            }
                        } else {
                            if( $sericon ){
                                $out .= '<i class="'.$sericon.'"></i>';
                            }
                        }
    					if( $atts['title'] ){ $out .= '<h4>'.$atts['title'].'</h4>'; }
    					if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }
    				$out .= '</div>';
    			$out .= '</div>';
    		$out .= '</div>';
		}

	return $out;
}
add_shortcode('softing_features_item', 'softing_vc_features_item');
}

/*******************************/
/* List item
/******************************/
if(!function_exists('softing_vc_list_item')) {
function softing_vc_list_item( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "style"		=> '',
    "title"		=> '',
    "desc"		=> '',
    "icon"		=> '',
	//icon style
	'iclr'		=> '',
	'isz'		=> '',
	'ilh'		=> '',
	'ibg'		=> '',
	//title style
	'tclr'		=> '',
	'tsz'		=> '',
	'tlh'		=> '',
	//job style
	'pclr'		=> '',
	'psz'		=> '',
	'plh'		=> '',
	//css editor
	'css'		=> '',
	), $atts, 'softing_list_item');

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );

	//unique class for pack
	$uniq = 'list_'.mt_rand(5, 1000);

	//name css
	$tcss = array('color' => $atts['tclr'],'font-size' => $atts['tsz'],'line-height' => $atts['tlh']);
	$tdata = softing_style($tcss);
	$tdata = $tdata ? '.list-info.'.$uniq.' h4, .features-items.'.$uniq.' h4, .features-items.'.$uniq.' span, .address-items.'.$uniq.' span { '.$tdata.' }' : '';

	//job css
	$pcss = array('color' => $atts['pclr'],'font-size' => $atts['psz'],'line-height' => $atts['plh']);
	$pdata = softing_style($pcss);
	$pdata = $pdata ? '.features-items.'.$uniq.' info p { '.$pdata.' }' : '';

	//icon css
	$icss = array('color' => $atts['iclr'].'!important','font-size' => $atts['isz'].'!important','line-height' => $atts['ilh'].'!important','width' => $atts['ilh'].'!important','height' => $atts['ilh'].'!important','background-color' => $atts['ibg'].'!important');
	$idata = softing_style($icss);
	$idata = $idata ? '.list-info.'.$uniq.' i, .features-items.'.$uniq.' .icon i, .address-items.'.$uniq.' i{ '.$idata.' }' : '';

	//icon after css
	$ibg = $atts['ibg'] ? '.list-info.'.$uniq.' i:after, .features-items.'.$uniq.' .icon i:after{background-color:'.$atts['ibg'].';}' : '';

	//final data css
	$finalcss = $tdata || $pdata || $idata || $ibg ? ' data-res-css="'.$tdata.$pdata.$idata.$ibg.'"' : '';


	$out = '';

		if( $atts['style'] == '1' ){

			$out .= '<div class="list-info '.$uniq.''.$bgcss.'"'.$finalcss .'>';
					if( $atts['icon'] ){ $out .= '<i class="'.$atts['icon'].'"></i>';} if( $atts['title'] ){ $out .= '<span>'.$atts['title'].'</span>';}
			$out .= '</div>';

		}elseif( $atts['style'] == '2' ){

			$out .= '<div class="features-items '.$uniq.''.$bgcss.'"'.$finalcss .'>';
			if( $atts['icon'] ){
				$out .= '<div class="icon">';
					$out .= '<i class="'.$atts['icon'].'"></i> ';
				$out .= '</div>';
			}
				$out .= '<div class="info">';
					if( $atts['title'] ){ $out .= '<h4>'.$atts['title'].'</h4>'; }
					if( $atts['desc'] ){ $out .= '<p>'.$atts['desc'].'</p>'; }
				$out .= '</div>';
			$out .= '</div>';

		}else{

			$out .= '<div class="address-items '.$uniq.''.$bgcss.'"'.$finalcss .'>';
				if( $atts['icon'] ){ $out .= '<i class="'.$atts['icon'].'"></i> ';}
				if( $atts['title'] ){ $out .= '<span>'.$atts['title'].'</span>'; }
			$out .= '</div>';
		}

	return $out;
}
add_shortcode('softing_list_item', 'softing_vc_list_item');
}

/*******************************/
/* Social Icons
/******************************/
if(!function_exists('softing_vc_social_icons')) {
function softing_vc_social_icons( $atts, $content = null ) {
  $atts = shortcode_atts(array(
    "socials"	=> '',
    "list"		=> '',
    "icon1"		=> '',
    "icon2"		=> '',
	"link"		=> '',
	//icon style
	"iclr"		=> '',
	"isz"		=> '',
	"ilh"		=> '',
	"ibg"		=> '',
	"ihvrbg"	=> '',
	"ihvr"		=> '',
	"iw"		=> '',
	"ih"		=> '',
	"css"		=> '',
	), $atts, 'softing_social_icons');

	$out = '';

	$bgcss = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $atts['css'], ' ' ),  $atts );
	$uniq = 'social_'.mt_rand(5, 1000);

	//social icon css
	$icss = array('color' => $atts['iclr'],'font-size' => $atts['isz'],'line-height' => $atts['ilh'],'width' => $atts['iw'],'height' => $atts['ih'],'background-color' => $atts['ibg']);
	$idata = softing_style($icss);
	$idata = $idata ? '.social-icons.'.$uniq.' a{ '.$idata.' }' : '';
	//hover social icon css
	$hvrcss = array('color' => $atts['ihvr'],'background-color' => $atts['ihvrbg']);
	$hvrdata = softing_style($hvrcss);
	$hvrdata = $hvrdata ? '.social-icons.'.$uniq.' a:hover{ '.$hvrdata.' }' : '';
	//final data css
	$finalcss = $idata || $hvrdata ? ' data-res-css="'.$idata.$hvrdata.'"' : '';

	$out .= '<div class="social-icons '.$uniq.''.$bgcss .'"'.$finalcss.'>';
		$out .= '<ul>';

			$loop = (array) vc_param_group_parse_atts($atts['socials']);
			foreach ( $loop as $item ) {

				$icon = isset($item['icon']) != '' ? $item['icon'] : '';
				$iconname = isset($item['iconname']) != '' ? $item['iconname'] : 'facebook';
				if($icon != ''){
				$link	=  !empty($item['link']) ? $item['link'] : '';
				$link	= vc_build_link( $link );
				$atitle	=  $link['title'];
				$href	=  $link['url'] != '' ? ' href="'.esc_url($link['url']).'"' : ' href="#"';
				$target	=  $link['target'] != '' ? ' target="'.esc_attr( $link['target']).'"' : '';
				$out .= '<li class="'.$iconname.'"><a'.$href.$target.'><i class="'.$icon.'"></i></a></li>';
				}
			}
		$out .= '</ul>';
	$out .= '</div>';

	return $out;
}
add_shortcode('softing_social_icons', 'softing_vc_social_icons');
}
